## FLAM GUI Tool

FLGT (Frankenstein-Limes-GUI-Tool) is a GUI tool to view and edit content and meta information of text files. The FLAM byte interface is used to detect the file type automatically and decompress it on the fly to show the uncompressed content.

This section covers the features and working of the FLAM GUI tool. For a detailed description of FLAM please see its manual.

## Command line

The flgt program can be started from the command line with the following synopsis:

        Usage: flgt [options] filename
        Gui Tool for FLAM

        Options:
          -h, --help               Displays help on commandline options.
          --help-all               Displays help including Qt specific options.
          -v, --version            Displays version information.
          -c, --command <command>  command to run: info, checksum, view or edit.
          -a, --algo <algo>        checksum algorithm.
          -l, --list               list available checksum algorithms.

        Arguments:
          filename                 Input file.

Or it can be started from the menu entry "Start flam gui tool.." of FLCC

## Main window

The main window of the FLAM gui tool basically looks like a normal text editor. The text of the file content can be viewed and changed accordingly, by typing or copy and paste.

The important difference is visible between the tool bar and the text view. The write and format strings shown above the text view is the result of the auomatic file type detection of the FLAM byte interface. This strings are used if the file content is saved from the FLAM GUI tool. This means it is possible to change the format of the file by adapting the write and/or format string here.

## Info window

When called with

        flgt -c info filename

the FLAM GUI tool will only show the file meta information